Get Campaign Stats
curl --request GET \
--url https://api.lemlist.com/api/v2/campaigns/{campaignId}/stats \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.lemlist.com/api/v2/campaigns/{campaignId}/stats"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.lemlist.com/api/v2/campaigns/{campaignId}/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api.lemlist.com/api/v2/campaigns/{campaignId}/stats")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lemlist.com/api/v2/campaigns/{campaignId}/stats",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"nbLeads": 32,
"nbLeadsLaunched": 32,
"nbLeadsReached": 32,
"nbLeadsOpened": 31,
"nbLeadsInteracted": 4,
"nbLeadsAnswered": 16,
"nbLeadsInterested": 1,
"nbLeadsNotInterested": 0,
"nbLeadsUnsubscribed": 1,
"nbLeadsInterrupted": 1,
"messagesSent": 72,
"messagesNotSent": 4,
"messagesBounced": 0,
"delivered": 72,
"opened": 47,
"clicked": 4,
"replied": 16,
"invitationAccepted": 0,
"meetingBooked": 0,
"perChannel": {
"email": {
"sent": 40,
"delivered": 40,
"notDelivered": 0,
"opened": 32,
"clicked": 4,
"replied": 1,
"bounced": 0,
"unsubscribed": 0
},
"linkedin": {
"sent": 32,
"delivered": 32,
"notDelivered": 4,
"opened": 15,
"replied": 15,
"invitationAccepted": 0,
"breakdown": {
"sent": {
"messages": 24,
"inMails": 5,
"voiceNotes": 3
},
"notDelivered": {
"messages": 3,
"inMails": 1,
"voiceNotes": 0
}
}
},
"sms": {
"sent": 0,
"delivered": 0,
"notDelivered": 0,
"replied": 0
},
"whatsapp": {
"sent": 0,
"delivered": 0,
"notDelivered": 0,
"opened": 0,
"replied": 0
},
"others": {
"unsubscribed": 1,
"interested": 1,
"notInterested": 0
}
},
"steps": [
{
"index": 1,
"sequenceId": "seq_rH5RD3fMkkt2gM3YC",
"sequenceStep": 0,
"taskType": "linkedinSend",
"invited": 0,
"invitationAccepted": 0,
"sent": 32,
"delivered": 32,
"opened": 15,
"clicked": 0,
"replied": 15,
"notDelivered": 4,
"bounced": 0,
"unsubscribed": 1
},
{
"index": 2,
"sequenceId": "seq_rH5RD3fMkkt2gM3YC",
"sequenceStep": 1,
"invited": 0,
"invitationAccepted": 0,
"sent": 20,
"delivered": 20,
"opened": 17,
"clicked": 1,
"replied": 1,
"notDelivered": 0,
"bounced": 0,
"unsubscribed": 0
},
{
"index": 3,
"sequenceId": "seq_rH5RD3fMkkt2gM3YC",
"sequenceStep": 2,
"invited": 0,
"invitationAccepted": 0,
"sent": 20,
"delivered": 20,
"opened": 15,
"clicked": 3,
"replied": 0,
"notDelivered": 0,
"bounced": 0,
"unsubscribed": 0
}
]
}
Campaigns
Get Campaign Stats
Retrieves performance statistics for a specific campaign.
GET
/
v2
/
campaigns
/
{campaignId}
/
stats
Get Campaign Stats
curl --request GET \
--url https://api.lemlist.com/api/v2/campaigns/{campaignId}/stats \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.lemlist.com/api/v2/campaigns/{campaignId}/stats"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.lemlist.com/api/v2/campaigns/{campaignId}/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api.lemlist.com/api/v2/campaigns/{campaignId}/stats")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lemlist.com/api/v2/campaigns/{campaignId}/stats",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"nbLeads": 32,
"nbLeadsLaunched": 32,
"nbLeadsReached": 32,
"nbLeadsOpened": 31,
"nbLeadsInteracted": 4,
"nbLeadsAnswered": 16,
"nbLeadsInterested": 1,
"nbLeadsNotInterested": 0,
"nbLeadsUnsubscribed": 1,
"nbLeadsInterrupted": 1,
"messagesSent": 72,
"messagesNotSent": 4,
"messagesBounced": 0,
"delivered": 72,
"opened": 47,
"clicked": 4,
"replied": 16,
"invitationAccepted": 0,
"meetingBooked": 0,
"perChannel": {
"email": {
"sent": 40,
"delivered": 40,
"notDelivered": 0,
"opened": 32,
"clicked": 4,
"replied": 1,
"bounced": 0,
"unsubscribed": 0
},
"linkedin": {
"sent": 32,
"delivered": 32,
"notDelivered": 4,
"opened": 15,
"replied": 15,
"invitationAccepted": 0,
"breakdown": {
"sent": {
"messages": 24,
"inMails": 5,
"voiceNotes": 3
},
"notDelivered": {
"messages": 3,
"inMails": 1,
"voiceNotes": 0
}
}
},
"sms": {
"sent": 0,
"delivered": 0,
"notDelivered": 0,
"replied": 0
},
"whatsapp": {
"sent": 0,
"delivered": 0,
"notDelivered": 0,
"opened": 0,
"replied": 0
},
"others": {
"unsubscribed": 1,
"interested": 1,
"notInterested": 0
}
},
"steps": [
{
"index": 1,
"sequenceId": "seq_rH5RD3fMkkt2gM3YC",
"sequenceStep": 0,
"taskType": "linkedinSend",
"invited": 0,
"invitationAccepted": 0,
"sent": 32,
"delivered": 32,
"opened": 15,
"clicked": 0,
"replied": 15,
"notDelivered": 4,
"bounced": 0,
"unsubscribed": 1
},
{
"index": 2,
"sequenceId": "seq_rH5RD3fMkkt2gM3YC",
"sequenceStep": 1,
"invited": 0,
"invitationAccepted": 0,
"sent": 20,
"delivered": 20,
"opened": 17,
"clicked": 1,
"replied": 1,
"notDelivered": 0,
"bounced": 0,
"unsubscribed": 0
},
{
"index": 3,
"sequenceId": "seq_rH5RD3fMkkt2gM3YC",
"sequenceStep": 2,
"invited": 0,
"invitationAccepted": 0,
"sent": 20,
"delivered": 20,
"opened": 15,
"clicked": 3,
"replied": 0,
"notDelivered": 0,
"bounced": 0,
"unsubscribed": 0
}
]
}
Careful, the route starts with
/v2/. Make sure to include the version in the path.Authorizations
Query Parameters
Response
Success
Was this page helpful?